Bug 53371 - add %u to .desktop files:
add %u to .desktop files:
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Depends On:
  Show dependency treegraph
Reported: 2001-09-07 12:12 EDT by Christopher Blizzard
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-18 12:53:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christopher Blizzard 2001-09-07 12:12:47 EDT
Mail from Preston:

for the mozilla RPMs .desktop files, you should put %u after the path to 
the mozilla binary, so it can take a URL as a startup argument.  I made 
this change for Howard, and then Mozilla integrated much more seamlessly 
into KDE.  You can even use the File Types editor to move mozilla up the 
"importance" chain as far as HTML association goes, so then you are able 
to hit Alt-F2 (run dialog) type in a URL, and mozilla, not konqueror, 
comes up.  Very neato.
Comment 1 Christopher Blizzard 2001-09-18 12:53:39 EDT
This only works with gnome 1.4.  Yay.  Anyway, this is in my cvs repository and
will make it into our next major release.
Comment 2 Christopher Blizzard 2002-01-25 15:28:49 EST
Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.